"{ Package: 'cvut:stx/goodies/libsvn' }"

"{ NameSpace: SVN }"

NodeKind subclass:#NodeKindFile
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'SVN-Repository'
!

!NodeKindFile class methodsFor:'documentation'!

version_SVN
    ^'$Id$'
! !

!NodeKindFile class methodsFor:'instance creation'!

forPath: path

    (path endsWith:'.st') ifTrue:[^RepositoryEntryKindClassContainer new].
    path = 'extensions.st' ifTrue:[RepositoryEntryKindExtensionContainer new].
    ^self new

    "Created: / 19-04-2008 / 20:12:48 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!NodeKindFile methodsFor:'accessing'!

name

    "Answers a human-readable name of enum value"

    ^'file'

    "Modified: / 19-08-2009 / 09:00:27 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!NodeKindFile methodsFor:'testing'!

isFile

    ^true

    "Created: / 18-08-2009 / 12:11:39 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!NodeKindFile class methodsFor:'documentation'!

version
    ^ '$Header$'
! !
